---
title: "Historical contract: Create Notification Token"
description: "Historical Ordering.co API contract for POST /users/{user_id}/notification_tokens, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/register-notification-token/
---

# Historical contract: Create Notification Token

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Create Notification Token

This API Endpoint is used to create notification tokens

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/users/POST/users/%7Buser%7D/notification_tokens)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "user_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "app",
          "token"
        ],
        "properties": {
          "app": {
            "type": "string"
          },
          "token": {
            "type": "string"
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"app\": \"business\",\n    \"token\": \"<redacted-secret>\",\n    \"user_id\": \"<redacted-id>\",\n    \"updated_at\": \"2018-11-23 14:46:12\",\n    \"created_at\": \"2018-11-23 14:46:12\",\n    \"id\": 2\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "app": {
                  "type": "string",
                  "example": "business"
                },
                "token": {
                  "type": "string",
                  "example": "<redacted-secret>"
                },
                "user_id": {
                  "type": "string",
                  "example": "<redacted-id>"
                },
                "updated_at": {
                  "type": "string",
                  "example": "2018-11-23 14:46:12"
                },
                "created_at": {
                  "type": "string",
                  "example": "2018-11-23 14:46:12"
                },
                "id": {
                  "type": "integer",
                  "example": 2,
                  "default": 0
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"The selected User is invalid.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "The selected User is invalid."
              }
            }
          }
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"You do not have permission.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "You do not have permission."
              }
            }
          }
        }
      }
    }
  }
}
```
